org.apache.ignite.internal.visor.query

## Class VisorQueryCursor<T>

- java.lang.Object
- - org.apache.ignite.internal.visor.query.VisorQueryCursor<T>

All Implemented Interfaces:
  AutoCloseable, Iterator<T>

    public class VisorQueryCursor<T>
    extends Object
    implements Iterator<T>, AutoCloseable

Wrapper for query cursor.

### Constructor Summary

Constructors
Constructor and Description
`VisorQueryCursor(QueryCursor<T> cur)`

### Method Summary

Methods
`boolean` `accessed()`
`void` `accessed(boolean accessed)`
`void` `close()`
`Collection<GridQueryFieldMetadata>` `fieldsMeta()`
`boolean` `hasNext()`
`T` `next()`
`void` `remove()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorQueryCursor

    public VisorQueryCursor(QueryCursor<T> cur)

Parameters:
  `cur` - Cursor.

### Method Detail

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<T>`

#### next

    public T next()

Specified by:
  `next` in interface `Iterator<T>`

#### remove

    public void remove()

Specified by:
  `remove` in interface `Iterator<T>`

#### close

    public void close()

Specified by:
  `close` in interface `AutoCloseable`

#### fieldsMeta

    public Collection<GridQueryFieldMetadata> fieldsMeta()

Returns:
  SQL Fields query result metadata.

#### accessed

    public boolean accessed()

Returns:
  Flag indicating that this future was read from last check..

#### accessed

    public void accessed(boolean accessed)

Parameters:
  `accessed` - New accessed.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0.final
Release Date | : December 29 2015